GuidesAPI Reference
API Reference

Cancels a multipart upload

Cancels an entire multipart upload operation. You can only cancel a multipart upload before it has been completed. Please keep in mind that the actual URL for this operation must be obtained from the response body of start multipart operation that is 'POST /layers/{layerId}/data/{dataHandle}/multiparts' from the 'delete' element under the top level 'links' element of the response.

Path Params
string
required

The ID of the layer that the data blob part belongs to. Content of this parameter must refer to a valid layer already configured in the catalog configuration.

string
required

The data handle (ID) represents an identifier for the data blob which the part belongs to. The data handle can only contain alphanumeric, '-' and '.' characters, [0-9, a-z, A-Z, -, .]. The maximum length of this field is 600 characters.

string
required

The identifier of the multi part upload (token). Content of this parameter must refer to a valid token retrieved when starting the multipart upload.

Query Params
string

Billing Tag is an optional free-form tag which is used for grouping billing records together. If supplied, it must be between 4 - 16 characters, contain only alpha/numeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

Responses
204

Deleted - the multi part upload.

401

Unauthorized

403

Forbidden

404

Not Found - multipart upload doesn't exist.

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here!